#!/bin/sh

ARCH=$(uname -m)

if [ $ARCH = "x86" ] || [ $ARCH = "i686" ]; then
    echo 'x86'
    exit 0
fi

if [ $ARCH = "x86_64" ]; then
    echo 'x86_64'
    exit 0
fi


if ( echo $ARCH | grep ^armv5.*$ > /dev/null ); then
    echo "ARMv5";
    exit 0
fi

if ( echo $ARCH | grep ^armv6.*$ > /dev/null ); then
    echo "ARM32";
    exit 0
fi

if ( echo $ARCH | grep ^armv7.*$ > /dev/null ); then
	echo "ARM32";
	exit 0
fi

if [ $ARCH = "aarch64" ]; then
    echo 'ARM64'
    exit 0
fi

exit 1
